"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getType;

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

// returns identifier strings that aren't necessarily "real" JavaScript types
function getType(instance) {
  var type = _typeof(instance);

  if (!instance) {
    return 'falsey';
  } else if (Array.isArray(instance)) {
    if (instance.length === 2 && typeof instance[0] === 'number' && typeof instance[1] === 'number') {
      return 'range';
    } else {
      return 'array';
    }
  } else if (type === 'object') {
    if (instance instanceof RegExp) {
      return 'regexp';
    } else if (instance.hasOwnProperty('highlight')) {
      return 'custom';
    }
  } else if (type === 'function' || type === 'string') {
    return type;
  }

  return 'other';
}